AtteanX::Parser::Turtle::Lexer(3pm)

NAME
AtteanX::Parser::Turtle::Lexer - Tokenizer for parsing Turtle, TriG, and N-Triples

VERSION
This document describes AtteanX::Parser::Turtle::Lexer version 0.019

SYNOPSIS
 use AtteanX::Parser::Turtle::Lexer;
 my $l = AtteanX::Parser::Turtle::Lexer->new( file => $fh );
 while (my $t = $l->get_token) {
   ...
 }

METHODS

"new_token ( $type, $start_line, $start_column, @values )"
    Returns a new token with the given type and optional values, capturing the current line and column of the input data.

"get_token"
    Returns the next token present in the input.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2018 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.